Subject: Re: b20: c++ bug or feature?
From: [email-masked] (Mumit Khan)

18 Nov 1998 22:41:07 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
To: Andres Heinloo <[email-masked]>
Cc: [email-masked]

Andres Heinloo <[email-masked]> writes:
> 
> Hi,
> 
> when compiling gtk-- example program 'OhharaDraw', I get the following
> error:
> 
> OhharaDraw.h:130: sorry, not implemented: object size exceeds normal limit
> for virtual function table implementation, recompile all source and use
> -fhuge-objects

[...]

> 
> Is it just a feature of Cygwin egcs port, or a bug?
> 

If it works on other x86 ports and not on Cygwin, it's quite possibly a 
bug. Calling it a feature makes some of us feel better of course ;-)

I haven't seen this even with very large objects, so I'm rather curious.
Can you send me the preprocessed file so I can take a look?
  
  $ c++ -v -save-temps [usual compiler flags] -c <file.cc>

will create a <file.ii> file, which is what I need. Also send me the 
compiler output to the screen please ('-v' option). 

It's probably going to be large, so you might want to compress it before
attaching.

Regards,
Mumit

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".